package com.ruoyi.project.task.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.task.domain.TTaskInspectionPlan;

/**
 * 检测计划Service接口
 *
 * @author ruoyi
 * @date 2022-11-17
 */
public interface ITTaskInspectionPlanService extends IService<TTaskInspectionPlan>
{
    /**
     * 查询检测计划
     *
     * @param id 检测计划主键
     * @return 检测计划
     */
    public TTaskInspectionPlan selectTTaskInspectionPlanById(Long id);

    /**
     * 查询检测计划列表
     *
     * @param tTaskInspectionPlan 检测计划
     * @return 检测计划集合
     */
    public List<TTaskInspectionPlan> selectTTaskInspectionPlanList(TTaskInspectionPlan tTaskInspectionPlan);

    public List<TTaskInspectionPlan> selectAllPlan();

    /**
     * 新增检测计划
     *
     * @param tTaskInspectionPlan 检测计划
     * @return 结果
     */
    public int insertTTaskInspectionPlan(TTaskInspectionPlan tTaskInspectionPlan);
    public int insertTTaskInspectionPlanByList(List<TTaskInspectionPlan> tTaskInspectionPlans);

    /**
     * 修改检测计划
     *
     * @param tTaskInspectionPlan 检测计划
     * @return 结果
     */
    public int updateTTaskInspectionPlan(TTaskInspectionPlan tTaskInspectionPlan);

    /**
     * 批量删除检测计划
     *
     * @param ids 需要删除的检测计划主键集合
     * @return 结果
     */
    public int deleteTTaskInspectionPlanByIds(Long[] ids);

    /**
     * 删除检测计划信息
     *
     * @param id 检测计划主键
     * @return 结果
     */
    public int deleteTTaskInspectionPlanById(Long id);
}
